diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js
index b433f8e..607e8ab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js
@@ -444,7 +444,7 @@ function($, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             //Check if we are not child of catalog
             prev_i = t.hasParent(i) ? t.parent(i) : null;
             prev_d = prev_i ? t.itemData(prev_i) : null;
-            if( prev_d._type == 'catalog') {
+            if( prev_d && prev_d._type == 'catalog') {
               return false;
             }
           i = t.hasParent(i) ? t.parent(i) : null;
diff --git a/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js b/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
index 8159053..9a470d9 100644
--- a/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
+++ b/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
@@ -305,6 +305,10 @@ function(r, $, pgAdmin, _, Backbone) {
             grid = $(container).data('grid');
             filter = $(container).data('filter');
 
+            if(_.isUndefined(data)){
+              return null;
+            }
+
             data.fetch({
                 reset: true,
                 success: function() {
